Package Details: libgnome-data 2.32.1-7

Git Clone URL: https://aur.archlinux.org/libgnome.git (read-only)
Package Base: libgnome
Description: Common data from libgnome
Upstream URL: http://www.gnome.org
Licenses: LGPL
Submitter: PhotonX
Maintainer: PhotonX
Last Packager: PhotonX
Votes: 37
Popularity: 3.762039
First Submitted: 2017-01-26 07:39
Last Updated: 2017-10-11 12:49

Latest Comments

PhotonX commented on 2017-11-04 12:38

@Akidso: Could you please post the complete error output you are getting? The two outputs you posted are completely different. :)

Adikso commented on 2017-11-04 12:33

@PhotonX It happens during build of libgnome:
Traceback (most recent call last):
[...]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2123: ordinal not in range(128)
make[2]: *** [Makefile:691: install-data-local] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-adikso/aur-libgnome/src/libgnome-2.32.1/doc/reference'
make[1]: *** [Makefile:469: install-am] Error 2
make[1]: Leaving directory '/tmp/yaourt-tmp-adikso/aur-libgnome/src/libgnome-2.32.1/doc/reference'
make: *** [Makefile:399: install-recursive] Error 1
make: Leaving directory '/tmp/yaourt-tmp-adikso/aur-libgnome/src/libgnome-2.32.1/doc'

PhotonX commented on 2017-11-02 20:34

@Adikso: Unfortunately, I'm not able to reproduce this. Are you sure that this output comes when building libgnome and not some of its dependencies?

Adikso commented on 2017-11-02 14:26

I am getting this error during building:

Traceback (most recent call last):
File "/usr/bin/gtkdoc-rebase", line 56, in <module>
sys.exit(rebase.run(options))
File "/usr/share/gtk-doc/python/gtkdoc/rebase.py", line 73, in run
ScanDirectory(dir, options)
File "/usr/share/gtk-doc/python/gtkdoc/rebase.py", line 131, in ScanDirectory
ScanDirectory(subdir, options)
File "/usr/share/gtk-doc/python/gtkdoc/rebase.py", line 104, in ScanDirectory
o = ReadDevhelp(scan_dir, entry)
File "/usr/share/gtk-doc/python/gtkdoc/rebase.py", line 137, in ReadDevhelp
for line in open(os.path.join(dir, file)):
File "/usr/lib/python3.6/encodings/ascii.py", line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2123: ordinal not in range(128)

PhotonX commented on 2017-10-11 12:51

Finally had the time to look into it, the bug is fixed using the patch from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870742

PhotonX commented on 2017-10-07 20:43

Thanks for the report, I can reproduce it and will have a look asap!

h313 commented on 2017-10-07 20:00

I'm getting this error when building with makepkg -si:

Traceback (most recent call last):
File "/usr/bin/glib-mkenums", line 688, in <module>
File "/usr/bin/glib-mkenums", line 688, in <module>
process_file(fname)
File "/usr/bin/glib-mkenums", line 420, in process_file
process_file(fname)
File "/usr/bin/glib-mkenums", line 420, in process_file
line = curfile.readline()
File "/usr/lib/python3.6/codecs.py", line 321, in decode
line = curfile.readline()
File "/usr/lib/python3.6/codecs.py", line 321, in decode
(result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa0 in position 3214: invalid start byte
(result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xa0 in position 3214: invalid start byte

PhotonX commented on 2017-02-14 15:51

libgnome-data is created when you build libgnome (libgnome is a split package). It works for me with yaourt, please ask the developer of aura for support.

nurfz commented on 2017-02-14 15:16

$ sudo aura -A libgnome-data
aura >>= The following are not AUR packages:
libgnome-data

Why is this package not found?